# Module: exec

## exec

Provides utility methods to execute a command

Source:
  - lib/exec.js, line 1

### Methods

#### <static> buildSpawned(grunt, script, sources, options) → {ChildProcess}

  Build and execute a child process using the spawn function

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `grunt` | Object | the grunt context
  `script` | String | the script to run
  `sources` | Array | the list of sources files
  `options` | Object | the list of cli flags

  Source:
    - lib/exec.js, line 15

  ##### Returns:

  from the spawn

  Type
    ChildProcess

#### <static> lookup(grunt, base, extPath) → {String}

  Lookup file or path into node modules

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `grunt` | Object | the grunt context
  `base` | String | the file or path to lookup
  `extPath` | String | Array | additionnal pathes to lookup

  Source:
    - lib/exec.js, line 70

  ##### Returns:

  the first matching resolved path

  Type
    String